Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns full market metadata for a condition, including all token IDs and their outcome labels.

Request

GET /v3/markets/condition/{condition_id}

Path parameters

ParameterTypeDescription
condition_idstringMarket condition ID (0x-prefixed)

Example

curl https://api.polynode.dev/v3/markets/condition/0x126a15ffc84104e2108b2d58f663882b0d181ce87c1b38365f84595e3468a8a5
{
  "condition_id": "0x126a15ffc84104e2108b2d58f663882b0d181ce87c1b38365f84595e3468a8a5",
  "question": "Will there be 6 or more major space weather events this week?",
  "slug": "will-there-be-6-or-more-major-space-weather-events-this-week-456",
  "outcomes": ["Yes", "No"],
  "category": null,
  "active": true,
  "closed": false,
  "neg_risk": true,
  "volume_all_time": "69.74",
  "liquidity": "61.11",
  "end_date": "2026-05-16 00:00:00+00",
  "event_slug": "how-many-major-space-weather-events-this-week-may-10-may-16",
  "event_title": "How many major Space Weather events this week? (May 10 - May 16)",
  "tag_slugs": ["space", "science", "weather"],
  "winning_outcome_index": null,
  "token_ids": [
    "100692454852111554543566408317343992183089175047294038924849685473863331659441",
    "48688325334414023818352236528729803878794259844697047777108156846840050119382"
  ],
  "token_outcomes": ["Yes", "No"],
  "elapsed_ms": 5
}

Response fields

FieldTypeDescription
condition_idstringMarket condition ID
questionstringMarket question
slugstringURL slug
outcomesarrayOutcome labels
token_idsarrayToken IDs for each outcome
token_outcomesarrayOutcome label for each token
activebooleanMarket is active
closedbooleanMarket is closed
neg_riskbooleanMulti-outcome (neg-risk) market
volume_all_timestringTotal volume
liquiditystringCurrent liquidity
end_datestringMarket end date
event_slugstringParent event slug
event_titlestringParent event title
tag_slugsarrayCategory tags
winning_outcome_indexintegerWhich outcome won (null if unresolved)